spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x

  redis:
    database: 45
    host: redis-1.itax.local
    port: 38000
    password: q92RBG89bbVdn^2k
    lettuce:
      pool:
        max-idle: 500 # 最大空闲连接
        min-idle: 5 # 最小空闲链接
        max-active: 1000  # 最大连接数（负数表示没有限制）
        max-wait: -1 # 最大阻塞等待时间（负数表示没有限制）
    timeout: 6000  #连接超时时间

  rabbitmq:
    host: rabbitmq-1.itax.local
    port:  35000
    username: admin
    password: Invoice!.rabbitm1
  sleuth:
    enabled: true
    http:
      legacy:
        enabled: true


##多数据源的配置
dynamic:
  datasource:
    basics_basics_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    basics_basics_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_detail_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_detail?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_detail_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_detail?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_business_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_tertiary?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_business_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_tertiary?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x


logging:
  level:
    com.dxhy: DEBUG
  file:
    path: /data/logs/dxhy-core/
    name: ${logging.file.path}dxhy-core



#websockiturl 请求网关地址
url:
#  进项
#  websokiturl: http://itax-pre.ele-cloud.com:10000/api/
#  嵌套大B
  websokiturl: http://itax-pre.ele-cloud.com:10000/jxpt/api/

data:
  initialSize: 10
  maxActive: 150
  minIdle: -1
  maxWait: 60000
  timeBetweenEvictionRunsMillis: 60000
  minEvictableIdleTimeMillis: 3000000
  maxEvictableIdleTimeMillis: 18000000
  validationQuery: SELECT 1 FROM DUAL
  validationQueryTimeout: -1
  testOnBorrow: false
  testOnReturn: false
  testWhileIdle: true
  poolPreparedStatements: false
  maxOpenPreparedStatements: -1
  sharePreparedStatements: false
jxjk:
  threadNum: 10
  invoiceParam: 01,
  secretId: emVuZ3poaXNodWl4aWFuZ211YXBwX3NlY0lk
  secretKey: emVuZ3poaXNodWl4aWFuZ211c2VjcmV0X2tleQ==
  collectUrl: http://101.124.2.174:8100/rest/invoice/dii
  checkUrl: http://101.124.2.174:8100/rest/invoice/dii
  invoiceGet: INVOICE.GET
  invoiceSelection: INVOICE.SELECTION
  invoiceState: INVOICE.STATE
  enterpriseCode: JXFPGLPT
  version: v1.0
  appId: JXFP
  taxperiod: INVOICE.PERIOD.GET
  applyLtgalize: INVOICE.LEGALIZE
  ltgalizeStatus: INVOICE.LEGALIZE_STATUS
  applyStat: INVOICE.APPLYSTAT
  applyStatStatus: INVOICE.APPLYSTATRES
  applyConfirm: INVOICE.APPLYCONFIRM
  applyConfirmStatus: INVOICE.APPLYCONFIRMRES
  applyCount: INVOICE.APPLYCOUNT
  checkInvoice: INVOICE.CHECK_ONE
  checkTax: 91110108MA004CPN95
  exportInvoiceGet: EXPORT.INVOICE.GET
  exportInvoiceLegalize: EXPORT.INVOICE.LEGALIZE
  exportInvoiceLegalizeStatus: EXPORT.INVOICE.LEGALIZE_STATUS
  exportCustomsGet: EXPORT.CUSTOMS.GET
  exportCustomsLegalize: EXPORT.CUSTOMS.LEGALIZE
  exportCustomsLegalizeStatus: EXPORT.CUSTOMS.LEGALIZE_STATUS
  customspcGet: CUSTOMSPC.GET
  customspcState: CUSTOMSPC.STATE
  customspcLegalize: CUSTOMSPC.LEGALIZE
  customspcLegalizeStatus: CUSTOMSPC.LEGALIZE_STATUS
  customspcEntry: CUSTOMSPC.ENTRY
  applyViolation: INVOICE.APPLY.VIOLATION
  violationResult: INVOICE.VIOLATION.RESULT
  customspcEntryResult: CUSTOMSPC.ENTRY_RESULT
  dataPlatformClientId: Mlfs7n9kofqPMaNVJSFoDcwS
  dataPlatformSecret: awSW7gts8AS4StGV84HCKVCf
  dataPlatformUrl: https://newyfb.5ifapiao.com/api/authen/token
  dataPlatformCollectUrl: http://newyfb.5ifapiao.com/api/business-credit/v2/queryEntInvoicePage?access_token=
  dataPlatformCollectStateUrl: http://newyfb.5ifapiao.com/api/business-credit/v1/queryEntInvoiceState?access_token=
  zipCode: 0
  dataPlatformSize: 10
  invoiceDownUrl: http://10.1.1.186:8098/down/invoice/dii
  invoiceDown: DOWNLOAD.APPLYQUERYPC
  invoiceDownResult: DOWNLOAD.APPLYPC
  xxInvoiceDownType: 01,03,04,10,11,14,15,08
  jxInvoiceDownType: 04,10,11,15
  enterprisePermissionFlag: true #是否需要获取数据库企业权限标识  true：是  false：否

migration:
  years: 2021

enterpriseControlRulesTask:
  url: https://wx.5ifapiao.com/ruleService/openApi/invoice/dii #规则引擎url
  ruleCheckCode: RULE_CHECK #接口代码
  version: v1.0 #接口代码
  appId: RULE #接口代码
  secretId: d4bf814c02abb801a2a2b6742a6d140a #规则引擎secretId
  secretKey: 116837c1750110f87f285feb2148ad2c #规则引擎secretKey
  vatInvoiceType: 01,03,04,10,11,14,15,08 #增值税发票类型


#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.dxhy.core.*.entity;com.dxhy.core.*,*.entity
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: ASSIGN_ID
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      #驼峰下划线转换
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'

# 必须配置
feign:
  httpclient:
    enabled: false
  okhttp:
    enabled: true

hystrix:
  threadpool:
    default:
      coreSize: 1000 ##并发执行的最大线程数，默认10
      maxQueueSize: 1000 ##BlockingQueue的最大队列数
      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 110000


# 配置swagger
swagger:
  enabled: true
  base-package: com.dxhy.core
  title: dxhy-core
  version: 3.0
  description: 管理后端服务
  contact:
    name: core

auth:
  serviceId: dxhy-admin
  user:
    token-header: Authorization
  client:
    id: dxhy-core
    secret: 123456
    token-header: x-client-token


# 定时器配置
schedule:
  open: true  # 是否开启定时任务功能  true开启   false关闭

###ftp相关
oss:
  ossType: FTP
  endpointUrl:
  accessKeyId:
  accessKeySecret:
  region:
  bucketName:
ftp:
  connection:
    hostname: sftp-1.itax.local
    port: 22
    username: sftpadmin
    password: Invoice!sftp1min
    timeout: 60000
    pathPrefix: /data/sftp/jxpt/
    localPathDefault: /home/application/tertiary/excelfile/
    mouldFilePath: /data/modulFile/


jasypt:
  encryptor:
    password: dxhy


pro:
  yl:
    company: YL

rabbitmq:
  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
  concurrentConsumers: 2 # 设置并发消费者数量
  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置
TO_EXCEL_APPLY: TO_EXCEL_APPLY
TO_INVOICE_LOG: TO_INVOICE_LOG
TO_INVOICE_STATUS: TO_INVOICE_STATUS
TO_MESSAGE_LOG: TO_MESSAGE_LOG
TO_MSG_EXCEL_APPLY: TO_MSG_EXCEL_APPLY
TO_CUSTOMS_LOG: TO_CUSTOMS_LOG
setPwd: INVOICE.SET.PWD
resetPwd: INVOICE.RESET.PWD

excel:
  feginName: dxhy-operation-flow
#  feginName: dxhy-extend
openService:
  token:
    url: https://sandbox.ele-cloud.com/api/authen/token
    appKey: Mlfs7n9kofqPMaNVJSFoDcwS
    appSecret: awSW7gts8AS4StGV84HCKVCf
  check:
    url: https://sandbox.ele-cloud.com/api/open-recipt/V1/CheckInvoiceSingle?access_token=
  ocr:
    url: https://sandbox.ele-cloud.com/api/ocr-service/rest/RecoImg/v1/ocr?access_token=
  #ocr识别
  ocrUrl: http://101.124.2.174:8100/rest/invoice/ocrInvoice
  #id
  username: YXBwX3NlY0lkeW9uZ2h1aWNlc2hp
  #appKey
  password: c2VjcmV0X2tleXlvbmdodWljZXNoaQ==
  taxno: 91110108MA004CPN95
  ocrEnterprisePermissionFlag: true
#普票查验配置项
checkThreadNum: 20 #普票查验线程数
checkDayNum: 500000  #普票定时任务一次执行查验发票总数量
checkRows: 1000 #普票查验每次查验发票数量

dxhy:
  bigbName: dxhy_admin_bigb
  datasource:
    dxhy_admin: dxhy_admin
    dxhy_detail: dxhy_detail
    dxhy_tertiary: dxhy_tertiary

check:
  corePoolSize: 10
  maximumPoolSize: 20
